%global version %(echo $(date +%Y%m%d.%H%M))

Summary: IntelliJ IDEA filesystem changes notification tool
Name: intellij-fsnotifier
Version: %{version}
Release: 1%{?dist}
Group: Applications/System
URL: https://www.jetbrains.com/idea/
License: ASL 2.0
Packager: Simon Matter <simon.matter@invoca.ch>
Vendor: Invoca Systems
Distribution: Invoca Linux Server
Source0: https://github.com/JetBrains/intellij-community/raw/master/native/fsNotifier/linux/fsnotifier.h
Source1: https://github.com/JetBrains/intellij-community/raw/master/native/fsNotifier/linux/main.c
Source2: https://github.com/JetBrains/intellij-community/raw/master/native/fsNotifier/linux/inotify.c
Source3: https://github.com/JetBrains/intellij-community/raw/master/native/fsNotifier/linux/util.c
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: glibc-headers

%description
IntelliJ IDEA fsnotifier is a companion program using inotify on
Linux for watching and reporting file and directory structure
modifications.

%prep
%setup -c -T
%{__install} -m 0644 -p %{SOURCE0} .
%{__install} -m 0644 -p %{SOURCE1} .
%{__install} -m 0644 -p %{SOURCE2} .
%{__install} -m 0644 -p %{SOURCE3} .

%build
%{__cc} %{optflags} -std=c99 -D_GNU_SOURCE -DVERSION=\"Invoca-%{version}\" -o %{name} main.c inotify.c util.c

%install
[ "%{buildroot}" != "/" ] && %{__rm} -rf %{buildroot}

%{__install} -d %{buildroot}%{_bindir}
%{__install} -m 0755 -p %{name} %{buildroot}%{_bindir}/

%clean
[ "%{buildroot}" != "/" ] && %{__rm} -rf %{buildroot}

%files
%defattr(-,root,root,-)
%{_bindir}/%{name}

%changelog
* Fri Feb 03 2023 Simon Matter <simon.matter@invoca.ch> 20230203.1601-1
- add minor updates from upstream
- add own version string instead of `SNAPSHOT'

* Thu Jun 02 2022 Simon Matter <simon.matter@invoca.ch> 20210419.1140-3
- add minor updates from upstream

* Thu Dec 30 2021 Simon Matter <simon.matter@invoca.ch> 20210419.1140-2
- add minor updates from upstream

* Wed Jun 02 2021 Simon Matter <simon.matter@invoca.ch> 20210419.1140-1
- upgrade to release 20210419.1140

* Thu Nov 26 2020 Simon Matter <simon.matter@invoca.ch> 20200827.1844-1
- upgrade to release 20200827.1844

* Wed Jun 17 2020 Simon Matter <simon.matter@invoca.ch> 20200617.0930-1
- add glibc-headers as build requirement

* Mon Jun 15 2020 Simon Matter <simon.matter@invoca.ch> 20200615.1325-1
- initial package
